"{ Package: 'stx:libbasic' }"

Error subclass:#RecursionError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!RecursionError class methodsFor:'documentation'!

documentation
"
    raised when the recursion level is too high - i.e. the execution stack
    is about to overflow.
"
! !

!RecursionError class methodsFor:'queries'!

mayProceed
    "under win32, the stack cannot grow - so we may not proceed there (sigh)"

    ^ OperatingSystem isMSWINDOWSlike not

    "Created: / 10.11.2001 / 15:10:56 / cg"
! !

!RecursionError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/RecursionError.st,v 1.3 2001-11-17 10:04:35 cg Exp $'
! !
